
--
-- @author  Fendt-Heinz
-- @date  08/08/09
--


Worklight = {};

function Worklight.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Worklight:load(xmlFile)
	local numWorkLights = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.worklights#count"), 0);
    self.worklights = {};
    for i=1, numWorkLights do
        local worklightnamei = string.format("vehicle.worklights.worklight%d", i);
        self.worklights[i] = Utils.indexToObject(self.components, getXMLString(xmlFile, worklightnamei .. "#index"));
        setVisibility(self.worklights[i], false);
    end;
	self.worklightsActive = false;
end;



function Worklight:keyEvent(unicode, sym, modifier, isDown)



end;


function Worklight:update(dt)
	if self.isEntered then
		if InputBinding.hasEvent(InputBinding.WORKLIGHTS) then
			self.worklightsActive = not self.worklightsActive;
		end;
	
		for k, worklight in pairs(self.worklights) do
			setVisibility(worklight, self.worklightsActive);
		end;
	end;

end;

function Worklight:draw()
	if self.isMotorStarted then
		if self.worklightsActive then
			g_currentMission:addHelpButtonText(g_i18n:getText("worklightOff"), InputBinding.WORKLIGHTS);
		else
			g_currentMission:addHelpButtonText(g_i18n:getText("worklightOn"), InputBinding.WORKLIGHTS);
		end;	
	end;

end;



function Worklight:onEnter()

end;



function Worklight:onLeave()
	for k, worklight in pairs(self.worklights) do
		setVisibility(worklight, false);
	end;
	self.worklightsActive = false;
end;



function Worklight:delete()

end;



function Worklight:mouseEvent(posX, posY, isDown, isUp, button)

end;



function key_convert(key)


end;



